=head1 NAME

Gtk2::ToggleToolButton - wrapper for GtkToggleToolButton

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::ToolItem
                                +----Gtk2::ToolButton
                                     +----Gtk2::ToggleToolButton



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable



=cut


=head1 METHODS

=head2 toolitem = Gtk2::ToggleToolButton-E<gt>B<new> 

=head2 toolitem = Gtk2::ToggleToolButton-E<gt>B<new_from_stock> ($stock_id)

=over

=item * $stock_id (string) 

=back

=head2 boolean = $button-E<gt>B<get_active> 

=head2 $button-E<gt>B<set_active> ($is_active)

=over

=item * $is_active (boolean) 

=back



=cut


=head1 PROPERTIES

=over

=item 'active' (boolean : default false : readable / writable / private / static-nick / static-blurb)

If the toggle button should be pressed in or not

=back



=cut


=head1 SIGNALS

=over

=item B<toggled> (Gtk2::ToggleToolButton)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::ToolItem>, L<Gtk2::ToolButton>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

